Subject: bug#30546: closed (Re: bug#30546: 27.0.50; shr: span tag with href attribute)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 21 Feb 2018 09:22:02 +0000

Your bug report

#30546: 27.0.50; shr: span tag with href attribute

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30546: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30546
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#30546: 27.0.50; shr: span tag with href attribute
From: Katsumi Yamaoka <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 21 Feb 2018 18:21:06 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, 21 Feb 2018 09:56:16 +0100, Lars Ingebrigtsen wrote:
> The email in question had the structure

> <a href=...><table>...<span href=...></a>

> So Firefox treats the entire table as a link.  The span href seems to be
> ignored.

I realized that the url values of <a href=...> and <span href=...>
are the same.  I tried changing the value of <span href=...> and
verified Firefox doesn't use it as a separate link.  Thank you for
investigating it.  I'm closing this bug.

Regards,

Subject: 27.0.50; shr: span tag with href attribute
From: Katsumi Yamaoka <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 20 Feb 2018 18:52:37 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Though it is not necessarily a bug[1], Firefox renders this as
a link but shr doesn't:

<span href="https://www.example.com" style="font-size:...">Foo</span>

Jidanni wrote me that some html mails he receives contain such
forms, and I tried making shr support it as the patch attached
below.  I'm not quite sure whether it causes a trouble but I'm
going to try it for some time.

Thanks.

[1] <https://stackoverflow.com/questions/46889226/is-a-span-tag-with-a-href-attribute-considered-valid>

--- shr.el~	2018-01-15 21:54:49.635451500 +0000
+++ shr.el	2018-02-20 09:47:39.198990800 +0000
@@ -1751,3 +1751,5 @@
 (defun shr-tag-span (dom)
-  (shr-generic dom))
+  (if (dom-attr dom 'href)
+      (shr-tag-a (cons 'a (cdr dom)))
+    (shr-generic dom)))